org.h2gis.functions.io.gpx.model

## Class GPXLine

- java.lang.Object
- - org.h2gis.functions.io.gpx.model.GPXLine

    public class GPXLine
    extends Object

This class giving is used to manage route and track data

Author:
  Erwan Bocher

### Constructor Summary

Constructors
Constructor and Description
`GPXLine(int numberOfValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object[]` `getValues()` Gives access to the route or track's values
`void` `setAttribute(String currentElement, StringBuilder contentBuffer)` Set an attribute for a line.
`void` `setCmt(StringBuilder contentBuffer)` Set the comment of a route or a track.
`void` `setDesc(StringBuilder contentBuffer)` Set the description of a route or a track.
`void` `setExtensions()` Set extentions of a route or a track to true.
`void` `setGeometry(com.vividsolutions.jts.geom.Geometry geometry)` Set the geometry of a route or a track.
`void` `setLink(Attributes attributes)` Set a link to additional information about the route or the track.
`void` `setLink(StringBuilder contentBuffer)` Set a link to additional information about the route or the track.
`void` `setLinkText(StringBuilder contentBuffer)` Set a text of hyperlink given in link.
`void` `setName(StringBuilder contentBuffer)` Set the name of a route or a track.
`void` `setNumber(StringBuilder contentBuffer)` Set the GPS number to additional information about the route or the track.
`void` `setSrc(StringBuilder contentBuffer)` Set the source of data of a route or a track.
`void` `setType(StringBuilder contentBuffer)` Set the type (classification) of a route or a track.
`void` `setValue(int i, Object value)` Set an object in corresponding index.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GPXLine

    public GPXLine(int numberOfValues)

### Method Detail

#### setGeometry

    public final void setGeometry(com.vividsolutions.jts.geom.Geometry geometry)

Set the geometry of a route or a track.

Parameters:
  `geometry` - a geoetry (linestring or MultiLineString) representing the route or the track

#### setAttribute

    public final void setAttribute(String currentElement,
                                   StringBuilder contentBuffer)

Set an attribute for a line. The String currentElement gives the information of which attribute have to be setted. The attribute to set is given by the StringBuilder contentBuffer.

Parameters:
  `currentElement` - a string presenting the text of the current markup.
  `contentBuffer` - it contains all informations about the current element.

#### setName

    public final void setName(StringBuilder contentBuffer)

Set the name of a route or a track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setCmt

    public final void setCmt(StringBuilder contentBuffer)

Set the comment of a route or a track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setDesc

    public final void setDesc(StringBuilder contentBuffer)

Set the description of a route or a track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setSrc

    public final void setSrc(StringBuilder contentBuffer)

Set the source of data of a route or a track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setLink

    public final void setLink(Attributes attributes)

Set a link to additional information about the route or the track.

Parameters:
  `attributes` - The current attributes being parsed

#### setLink

    public final void setLink(StringBuilder contentBuffer)

Set a link to additional information about the route or the track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setLinkText

    public final void setLinkText(StringBuilder contentBuffer)

Set a text of hyperlink given in link.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setNumber

    public final void setNumber(StringBuilder contentBuffer)

Set the GPS number to additional information about the route or the track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setType

    public final void setType(StringBuilder contentBuffer)

Set the type (classification) of a route or a track.

Parameters:
  `contentBuffer` - Contains the information to put in the table

#### setExtensions

    public final void setExtensions()

Set extentions of a route or a track to true.

#### getValues

    public final Object[] getValues()

Gives access to the route or track's values

Returns:
  a row containing informations about the route or track

#### setValue

    public final void setValue(int i,
                               Object value)

Set an object in corresponding index.

Parameters:
  `i` - the index
  `value` - the value to insert